internal::multifunction_body< Input, OutputSet > Class Template Referenceabstract

function_body that takes an Input and a set of output ports More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::multifunction_body< Input, OutputSet >:
Collaboration diagram for internal::multifunction_body< Input, OutputSet >:

## Public Member Functions

virtual | ~multifunction_body ()
virtual void | operator() (const Input &, OutputSet &)=0
virtual multifunction_body * | clone ()=0
virtual void * | get_body_ptr ()=0

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename Input, typename OutputSet>
class internal::multifunction_body< Input, OutputSet >

function_body that takes an Input and a set of output ports

Definition at line 192 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## ~multifunction_body()

template<typename Input , typename OutputSet >

virtual internal::multifunction_body< Input, OutputSet >::~multifunction_body | ( |  | ) |

inline virtual

Definition at line 194 of file _flow_graph_body_impl.h.

{}

## Member Function Documentation

## clone()

template<typename Input , typename OutputSet >

virtual multifunction_body* internal::multifunction_body< Input, OutputSet >::clone | ( |  | ) |

pure virtual

Implemented in internal::multifunction_body_leaf< Input, OutputSet, B >.

Referenced by internal::multifunction_input< Input, internal::wrap_tuple_elements< tbb::flow::tuple_size< Output >::value, internal::multifunction_output, Output >::type, Policy, Allocator >::reset().

Here is the caller graph for this function:

## get_body_ptr()

template<typename Input , typename OutputSet >

virtual void* internal::multifunction_body< Input, OutputSet >::get_body_ptr | ( |  | ) |

pure virtual

Implemented in internal::multifunction_body_leaf< Input, OutputSet, B >.

## operator()()

template<typename Input , typename OutputSet >

virtual void internal::multifunction_body< Input, OutputSet >::operator() | ( | const Input & | ,
|  | OutputSet & |
| ) |  |

pure virtual

Implemented in internal::multifunction_body_leaf< Input, OutputSet, B >.

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.